Skip to main content
GET
/
public
/
v1
/
conversations
List conversations
curl --request GET \
  --url https://api.callin.io/api/public/v1/conversations \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "conversationId": "<string>",
      "agentId": "<string>",
      "startTimeUnix": 123,
      "endTimeUnix": 123,
      "conversationDuration": 123,
      "status": "completed",
      "agentName": "<string>",
      "direction": "outbound",
      "summary": "<string>",
      "metadata": {
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": {
          "userId": "<string>",
          "userEmail": "<string>"
        }
      }
    }
  ],
  "pagination": {
    "pageSize": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Send your Callin API key in the x-api-key header.

Query Parameters

agentId
string

Filter conversations to a specific agent.

status
enum<string>

Filter by conversation status: completed, in_progress, cancelled, failed, or scheduled.

Available options:
completed,
in_progress,
cancelled,
failed,
scheduled
Example:

"completed"

startBeforeUnix
number

Return conversations that started before this Unix timestamp (seconds or milliseconds).

startAfterUnix
number

Return conversations that started after this Unix timestamp (seconds or milliseconds).

minCallDuration
number

Return only conversations with a duration of at least this many seconds.

Required range: x >= 0
maxCallDuration
number

Duration in seconds

Required range: x >= 0
cursor
string

ISO timestamp

pageSize
integer
default:30
Required range: 1 <= x <= 100

Response

A paginated array of conversation summaries.

Paginated conversations with timing, status, and summary per row.

success
boolean
Example:

true

data
object[]
pagination
object